{*
* 2007-2013 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author PrestaShop SA <contact@prestashop.com>
*  @copyright  2007-2013 PrestaShop SA
*  @license    http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}
 {assign var='limit' value=6}
 {assign var='tabname' value='featured-products_block_center'}

<!-- MODULE Home Featured Products -->
<div id="featured-products_block_center" class="block products_block highlighted clearfix">
	<h4 class="title_block"><p><span>{l s='Home featured' mod='homefeatured'}</span></p></h4>
	{if isset($products) AND $products}
		<div class="block_content leocontrol">
			{assign var='liHeight' value=140}
			{assign var='nbItemsPerLine' value=3}
			{assign var='nbLi' value=$limit}
			{math equation="nbLi/nbItemsPerLine" nbLi=$nbLi nbItemsPerLine=$nbItemsPerLine assign=nbLines}
			{math equation="nbLines*liHeight" nbLines=$nbLines|ceil liHeight=$liHeight assign=ulHeight}
			<div style="min-height:{$ulHeight}px;" class="carousel slide" id="{$tabname}" >
				 {if count($products)>$limit}	
					<a class="carousel-control left" href="#{$tabname}"   data-slide="prev">&lsaquo;</a>
					<a class="carousel-control right" href="#{$tabname}"  data-slide="next">&rsaquo;</a>
				{/if}
				<div class="carousel-inner">{$mproducts=array_chunk($products,$limit)}
					{foreach from=$mproducts item=iproducts name=mypLoop}
					<div class="item {if $smarty.foreach.mypLoop.first}active{/if}">
						{foreach from=$iproducts item=product name=homeFeaturedProducts}
							{if $product@iteration%3==1}
								<div class="row">
							{/if}
							{math equation="(total%perLine)" total=$smarty.foreach.homeFeaturedProducts.total perLine=$nbItemsPerLine assign=totModulo}
							{if $totModulo == 0}{assign var='totModulo' value=$nbItemsPerLine}{/if}
							<div class="col-md-{12/{$nbItemsPerLine}} col-sm-12 col-xs-12 product_block ajax_block_product">
								<div class="product-container">
									<div class="center_block">
										<a href="{$product.link|escape:'htmlall':'UTF-8'}" class="product_img_link" title="{$product.name|escape:'htmlall':'UTF-8'}">
											<img src="{$link->getImageLink($product.link_rewrite, $product.id_image, 'home_default')|escape:'html'}" alt="{if !empty($product.legend)}{$product.legend|escape:'htmlall':'UTF-8'}{else}{$product.name|escape:'htmlall':'UTF-8'}{/if}" title="{if !empty($product.legend)}{$product.legend|escape:'htmlall':'UTF-8'}{else}{$product.name|escape:'htmlall':'UTF-8'}{/if}" {if isset($homeSize)} width="{$homeSize.width}" height="{$homeSize.height}"{/if} />
											{if isset($product.new) && $product.new == 1}<span class="new">{l s='New'}</span>{/if}
										</a>	
									</div>
									<div class="right_block">
										<h3 class="product-name">{if isset($product.pack_quantity) && $product.pack_quantity}{$product.pack_quantity|intval|cat:' x '}{/if}<a href="{$product.link|escape:'htmlall':'UTF-8'}" title="{$product.name|escape:'htmlall':'UTF-8'}">{$product.name|truncate:35:'...'|escape:'htmlall':'UTF-8'}</a></h3>
										<div class="left_block">
											<div class="product_desc">{$product.description_short|strip_tags:'UTF-8'|truncate:160:'...'}</div>							
										</div>	
										{if (!$PS_CATALOG_MODE AND ((isset($product.show_price) && $product.show_price) || (isset($product.available_for_order) && $product.available_for_order)))}
										<div class="content_price">
											{if isset($product.show_price) && $product.show_price && !isset($restricted_country_mode)}<span class="price" style="display: inline;">{if !$priceDisplay}{convertPrice price=$product.price}{else}{convertPrice price=$product.price_tax_exc}{/if}</span>{/if}	
											<a class="lnk_view" href="{$product.link|escape:'htmlall':'UTF-8'}" title="{l s='View'}">{l s='View'}</a>
										</div>
										{/if}
										{if ($product.id_product_attribute == 0 || (isset($add_prod_display) && ($add_prod_display == 1))) && $product.available_for_order && !isset($restricted_country_mode) && $product.minimal_quantity <= 1 && $product.customizable != 2 && !$PS_CATALOG_MODE}
											{if ($product.allow_oosp || $product.quantity > 0)}
												{if isset($static_token)}
													<a class="button ajax_add_to_cart_button exclusive" rel="ajax_id_product_{$product.id_product|intval}" href="{$link->getPageLink('cart',false, NULL, "add=1&amp;id_product={$product.id_product|intval}&amp;token={$static_token}", false)|escape:'html'}" title="{l s='Add to cart'}">{l s='Add to cart'}</a>
												{else}
													<a class="button ajax_add_to_cart_button exclusive" rel="ajax_id_product_{$product.id_product|intval}" href="{$link->getPageLink('cart',false, NULL, "add=1&amp;id_product={$product.id_product|intval}", false)|escape:'html'}" title="{l s='Add to cart'}">{l s='Add to cart'}</a>
												{/if}						
											{else}
												<span class="exclusive">{l s='Add to cart'}</span>
											{/if}
										{/if}
										
									</div>
								</div>
							</div>
							{if $product@iteration%3==0||$smarty.foreach.homeFeaturedProducts.last}
								</div>
							{/if}
						{/foreach}	
						</div>	
					{/foreach}
				</div>				
			</div>
		</div>
	{else}
		<p>{l s='No featured products' mod='homefeatured'}</p>
	{/if}
</div>

<!-- /MODULE Home Featured Products -->
